
RewriteEngine On

RewriteRule ^index\.html$ index.php [L]
RewriteRule ^sale/d-(.*?)\.html$ sale/detail.php?id=$1 [L]
RewriteRule ^rent/d-(.*?)\.html$ rent/detail.php?id=$1 [L]

RewriteRule ^newHouse/d-(.*?)\.html$ newHouse/detail.php?id=$1 [L]
RewriteRule ^newHouse/p-(.*?)\.html$ newHouse/photo.php?id=$1 [L]
RewriteRule ^newHouse/s-(.*?)\.html$ newHouse/structure.php?id=$1 [L]

RewriteRule ^community/g-(.*?)\.html$ community/general.php?id=$1 [L]
RewriteRule ^community/p-([0-9]+)\.html$ community/photo.php?id=$1 [L]
RewriteRule ^community/p-([0-9]+)-([0-9]+)\.html$ community/photo.php?id=$1&p_id=$2 [L]
RewriteRule ^community/d-([0-9]+)\.html$ community/structure.php?id=$1 [L]
RewriteRule ^community/d-([0-9]+)-([0-9]+)\.html$ community/structure.php?id=$1&d_id=$2 [L]

RewriteRule ^shop/([0-9]+)$ shop/index.php?id=$1 [L] 
RewriteRule ^shop/e-(.*?)\.html$ shop/evaluate.php?id=$1 [L]
RewriteRule ^shop/p-(.*?)\.html$ shop/profile.php?id=$1 [L]
RewriteRule ^cshop/([0-9]+)$ cshop/index.php?id=$1 [L] 
RewriteRule ^cshop/p-(.*?)\.html$ cshop/profile.php?id=$1 [L]






